#
#  FILE NAME:
#      column.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging


_LOG = logging.getLogger( "p3.data" )


class Column(object):

    # ===[ Construction ]======================================================================== #

    def __init__( self, name=None, default=None ):
        self._name    = name
        self._default = default
        self._index   = None


    def Clone( self ):
        return self.__class__( self._name, self._default )


    # ===[ Properties ]========================================================================== #

    def default():
        def fget( self ):
            return self._default
        return locals()
    default = property( **default() )


    def index():
        def fget( self ):
            return self._index
        def fset( self, idx ):
            self._index = idx
        return locals()
    index = property( **index() )


    def name():
        def fget( self ):
            return self._name
        return locals()
    name = property( **name() )
