#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class DataModuleError( GenericException ):
    codes = Enum( "columnNotFound", "duplicateColumnName", "invalidColumnIndex",
                  "invalidColumnSpec",
                  "unknownColumnName", "rowNotFound", "rowNotUnique", "multipleRowsFound" )

    def __init__( self, code=None, msg=None ):
        super( DataModuleError, self ).__init__( "data", code, msg )
