#
#  FILE NAME:
#      mixed_row_constructor.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.data.row import Row


class MixedRowConstructor(object):
    def __init__( self, values, namedValues ):
        self.values = values
        self.named  = namedValues

    def Create( self, table ):
        r = Row( table )
        r.FillDefault()
        r.FillByPosition( self.values )
        # Some override protection could be put here.
        r.FillByName( self.named )
        return r
