#
#  FILE NAME:
#      dbms.py
#
#  PURPOSE:
#      Define identifiers of supported database management systems.
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.base import Enum, SafeFmt
from p3.db.error import DbModuleError


DBMS = Enum( "mySql", "pgSql" )


def GetDbmsIdByName( name ):
    if name in DBMS:
        return DBMS[name]
    else:
        raise DbModuleError( DbModuleError.codes.invalidDbmsName,
                             SafeFmt( "Invalid DBMS name: '%s'.", name ) )
