#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class DbModuleError( GenericException ):
    codes = Enum( "dbmsNotSupported", "invalidDbmsName", "invalidDbSetting", "cursorNotUsed",
                  "mandatoryArgNotSpecified", "shellExecutionError" )

    def __init__( self, code=None, msg=None ):
        super( DbModuleError, self ).__init__( "db", code, msg )
