#
#  FILE NAME:
#      shared_database_suite.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging
import unittest

# P3 imports:
from p3.db import DbConnection
from p3.db.manage import CreateDb, DropDb


_LOG = logging.getLogger( "p3.test" )


class SharedDatabaseSuite( unittest.TestSuite ):
    ## \param mngDbSpec standard database connection specification used for database creation.
    #  \param tstDbSpec standard database connection specification used the test database
    #         creation and connection.
    def __init__( self, mngDbSpec, tstDbSpec ):
        super( SharedDatabaseSuite, self ).__init__()
        self.mngDbSpec = mngDbSpec
        self.tstDbSpec = tstDbSpec

    def run( self, result ):
        dbc = DbConnection.CreateFromDict( self.mngDbSpec )
        dbName = self.tstDbSpec['name']

        CreateDb( dbc, dbName, True )
        super( SharedDatabaseSuite, self ).run( result )
        DropDb( dbc, dbName )
