#
#  FILE NAME:
#      time_format.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library imports:
import logging

# P3 imports:
from p3.web.django_apps.template_ext.error import ERROR_STRING


_LOG = logging.getLogger( "p3.web" )


def DateSimple( value, short=False, sep='.' ):
    try:
        year = (value.year % 100 if short else value.year)
        month = value.month
        day = value.day
    except AttributeError as e:
        _LOG.error( "Couldn't extract date components from provided value. Catched exception: %s",
                    str(e) )
        return ERROR_STRING

    sepChr = str(sep)[:1]

    return "{d:02d}{s:s}{m:02d}{s:s}{y:02d}".format( y=year, m=month, d=day, s=sepChr )
